We can't find the internet
Attempting to reconnect
Something went wrong!
Hang in there while we get back on track
Create Client
createClient(brokerageId: $brokerageId, name: $name, primaryWebsite: $primaryWebsite)
- Method
- POST
- Endpoint
-
Sandbox:
https://api-sandbox.corvusinsurance.com/qProduction:https://crowbar.corvusinsurance.com/q - Authentication
-
Send the headers
X-API-KEY, X-USER-EMAIL, X-USER-NAMEwith every request. See Authentication.
Arguments
Required Required to submit OptionalPass these as variables.
| Name | Type | Required | Description |
|---|---|---|---|
| brokerageId | ID! | Required | Id of your brokerage provided by Corvus |
| name | String! | Required | Name of the client to be insured (limit 200 characters) |
| primaryWebsite | String | Optional | Primary website of the client. Answer must have one the following format: |
| address | AddressInput | Optional | The address of the client, specified as strings using the nested keys of this field |
| country | Country | Optional | ISO two character code of the country (https://www.iso.org/obp/ui/#search) |
| street | String | Optional | Street address |
| streetTwo | String | Optional | Apartment, suite or unit number |
| locality | String | Optional | Name of the city |
| region | String | Optional | Name of the state; the full name or the abbreviation of the state |
| postalCode | String | Optional | Postal Code |
Response fields
Select only the fields you need in the selection set.
| Name | Type | Description |
|---|---|---|
| id | ID | Client id you can use in future requests |